Unit tde25e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE25E_p, FJDE25E_p, DE25E_p;

function tde25e: String;

implementation

function tde25e: String;
var
IU,IORDER,M,IERR :Integer;
XN,XK,HMIN,HMAX,EPS,H :Extended;
RAB :Array [0..37] of Extended;
Y :Array [0..1] of Extended;
YN :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
YPM :Array [0..1] of Extended;
YP :Array [0..15] of Extended;
Y1 :Array [0..1] of Real;
begin
Result := '';  {   }
HMIN := 1.E-10;
IU := 3;
EPS := 0.00001;
IORDER := 6;
XN := 0.0;
XK := 1.0;
M := 2;
YN[0] := 2.0;
YN[1] := 18.0;
HMAX := 0.1;
H := 0.01;
DE25E(FDE25E,FJDE25E,M,XN,YN,XK,HMIN,HMAX,EPS,IORDER,
     IU,H,Y,YPM,DELTY,RAB,YP,IERR);
Result := Result + Format(' %20.16f  %20.16f %20.16f ',
 [XK,Y[0],Y[1]]) + #$0D#$0A;
UtRes('tde25e',Result);  {     tde25e.res }
exit;
end;

end.
